# $Id: dimp-h3.spec,v 1.2 2010/11/07 03:28:27 mrjhb3 Exp $
# Authority: mrjhb3
# Name: John H. Bennett III

%define apachedir /etc/httpd
%define apacheuser www
%define apachegroup www
%define contentdir /home/httpd

Summary: The Dymanic Internet Messaging Program: webmail access to IMAP/POP3 accounts.
Name: dimp-h3
Version: 1.1.6
Release: 1%{?dist}
License: GPL
Group: Applications/Horde
Source: ftp://ftp.horde.org/pub/dimp/tarballs/dimp-h3-%{version}.tar.gz
URL: http://www.horde.org/
BuildArchitectures: noarch
BuildRoot: /tmp/dimp-root
Requires: php >= 4.3.0
Requires: php-imap >= 4.3.0
Requires: httpd >= 2.0.46
Requires: horde >= 3.3
Requires: imp >= 4.3.4
Provides: dimp
Prereq: /usr/bin/perl

%description
DIMP is a alternate presentation view of IMP using AJAX-ish 
technologies to create a more dynamic user experience 
(DIMP stands for Dynamic IMP).

%prep
%setup -q -n %{name}-%{version}

%build

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{apachedir}/conf
mkdir -p $RPM_BUILD_ROOT%{contentdir}/html/horde/dimp
cp -pR * $RPM_BUILD_ROOT%{contentdir}/html/horde/dimp
cd $RPM_BUILD_ROOT%{contentdir}/html/horde/dimp/config
for d in *.dist; do
    d0=`basename $d .dist`
    if [ ! -f "$d0" ]; then
        cp -p $d $d0
    fi
done

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
# Include top level with %dir so not all files are sucked in
%dir %{contentdir}/html/horde/dimp
# Include top-level files by hand
%{contentdir}/html/horde/dimp/*.php
# Include these dirs so that all files _will_ get sucked in
%{contentdir}/html/horde/dimp/js
%{contentdir}/html/horde/dimp/lib
%{contentdir}/html/horde/dimp/locale
%{contentdir}/html/horde/dimp/po
#%{contentdir}/html/horde/dimp/scripts
%{contentdir}/html/horde/dimp/templates
%{contentdir}/html/horde/dimp/themes
# Mark documentation files with %doc and %docdir
%doc %{contentdir}/html/horde/dimp/COPYING
%doc %{contentdir}/html/horde/dimp/README
%docdir %{contentdir}/html/horde/dimp/docs
%{contentdir}/html/horde/dimp/docs
# Mark configuration files with %config and use secure permissions
# (note that .dist files are considered software; don't mark %config)
%attr(750,root,%{apachegroup}) %dir %{contentdir}/html/horde/dimp/config
%defattr(640,root,%{apachegroup})
%{contentdir}/html/horde/dimp/config/.htaccess
%{contentdir}/html/horde/dimp/config/*.dist
%config %{contentdir}/html/horde/dimp/config/*.php
#%config %{contentdir}/html/horde/dimp/config/*.txt
%config %{contentdir}/html/horde/dimp/config/*.xml

%changelog
* Sat Nov 06 2010 John H. Bennett III <bennettj@johnbennettservices.com> 1.1.6-1
- Update to Dimp 1.1.6

* Sun Dec 27 2009 John H. Bennett III <bennettj@johnbennettservices.com> 1.1.4-1
- Update to Dimp 1.1.4

* Sun Sep 27 2009 John H. Bennett III <bennettj@johnbennettservices.com> 1.1.3-1
- Update to Dimp 1.1.3

* Wed Jun 17 2009 John H. Bennett III <bennettj@johnbennettservices.com> 1.1.2-1
- Update to Dimp 1.1.2

* Mon Dec 22 2008 John H. Bennett III <bennettj@johnbennettservices.com> 1.1.1-1
- Update to Dimp 1.1.1

* Fri Dec 05 2008 John H. Bennett III <bennettj@johnbennettservices.com> 1.1-1
- Update to Dimp 1.1

* Mon Jun 2 2008 John H. Bennett III <bennettj@johnbennettservices.com> 1.0-1
- initial RPM roll for Dimp 1.0

